Subject: Re: [RFC-PATCH] dhcp provisioning support in cxgb3i

From: Rakesh Ranjan <[email-masked]>
Date: Wed, 04 Nov 2009 23:54:07 +0530

Mike Christie wrote:
> Rakesh Ranjan wrote:
>> Mike Christie wrote:
>>> Rakesh Ranjan wrote:
>>>> Hi Mike,
>>>>
>>>> Herein attached patches for having dhcp provisioning support in
>>>> cxgb3i. I have added one new iscsi netlink message
>>>> ISCSI_UEVENT_REQ_IPCONF. 
>>>
>>> Is the idea to have iscsid/uip send down this msg?
>>>
>>> Was it not possible to hook in more like how bnx2i does dhcp?
>>
>> yep, idea is to have iscsid send down ISCSI_UEVENT_REQ_IPCONF msg.
>> bnx2i approach in our case for at least T3 is not feasible.
>>
> 
> I think adding DHCP in the kernel is getting a little crazy :) If we go
> down this path, I agree with the other person that stated it should at
> least be generic.

Hi Mike,

What do you mean be generic ? Do you want to have a generic interface
for DHCP handler that could be part of libiscsi and could be used by
other LLD's.

Regards
Rakesh Ranjan